Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class SetNextNamingRule

    java.lang.Object
      org.apache.tomcat.util.digester.Rule
          org.apache.catalina.startup.SetNextNamingRule

public class SetNextNamingRule
extends Rule

Rule implementation that calls a method on the (top-1) (parent) object, passing the top object (child) as an argument. It is commonly used to establish parent-child relationships.

This rule now supports more flexible method matching by default. It is possible that this may break (some) code written against release 1.1.1 or earlier.

Field Summary
`protected java.lang.String` | `methodName` The method name to call on the parent object.
`protected java.lang.String` | `paramType` The Java class name of the parameter type expected by the method.

Fields inherited from class org.apache.tomcat.util.digester.Rule
`digester, namespaceURI`

Constructor Summary
`SetNextNamingRule(java.lang.String methodName, java.lang.String paramType)` Construct a "set next" rule with the specified method name.

Method Summary
`void` | `end()` Process the end of this element.
`java.lang.String` | `toString()` Render a printable version of this Rule.

Methods inherited from class org.apache.tomcat.util.digester.Rule
`begin, begin, body, body, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### methodName

    protected java.lang.String methodName

  The method name to call on the parent object.

### paramType

    protected java.lang.String paramType

  The Java class name of the parameter type expected by the method.

Constructor Detail

### SetNextNamingRule

    public SetNextNamingRule(java.lang.String methodName,
                             java.lang.String paramType)

  Construct a "set next" rule with the specified method name.

Parameters:
  `methodName` - Method name of the parent method to call
  `paramType` - Java class of the parent method's argument (if you wish to use a primitive type, specify the corresonding Java wrapper class instead, such as `java.lang.Boolean` for a `boolean` parameter)

Method Detail

### end

    public void end()
             throws java.lang.Exception

  Process the end of this element.

  Overrides:
    `end` in class `Rule`
  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Render a printable version of this Rule.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.